import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientDocumentSelectObjectSchema as PatientDocumentSelectObjectSchema } from './PatientDocumentSelect.schema';
import { PatientDocumentIncludeObjectSchema as PatientDocumentIncludeObjectSchema } from './PatientDocumentInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => PatientDocumentSelectObjectSchema).optional(),
  include: z.lazy(() => PatientDocumentIncludeObjectSchema).optional()
}).strict();
export const PatientDocumentArgsObjectSchema = makeSchema();
export const PatientDocumentArgsObjectZodSchema = makeSchema();
